#
# spec file for package python-pytest-tldr
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-tldr
Version:        0.2.5
Release:        2.1
Summary:        A pytest plugin that limits the output to just the things you need
License:        BSD-3-Clause
URL:            https://github.com/freakboy3742/pytest-tldr
Source:         https://files.pythonhosted.org/packages/source/p/pytest-tldr/pytest-tldr-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest >= 3.5.0}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.5.0
BuildArch:      noarch
%python_subpackages

%description
A pytest plugin that limits the output to just the things you need.

%prep
%setup -q -n pytest-tldr-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/pytest_tldr.py
%{python_sitelib}/pytest_tldr-%{version}.dist-info

%changelog
* Wed May  7 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- More specific python_sitelib in %%files
- Update to 0.2.5:
  * An incompatibility with Pytest 7.2 was corrected. (#36)
* Wed Dec  8 2021 pgajdos@suse.com
- version update to 0.2.4
  * Restored compatibility with pytest < 6. (`#32 <https://github.com/freakboy3742/pytest-tldr/issues/32>`_)
  * Corrected output stream flush handling. This prevented long-running test results
    from being displayed until the end of the test suite. (`#28 <https://github.com/freakboy3742/pytest-tldr/issues/28>`_)
* Tue Aug 25 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.2.2
  * Added Pytest 6 support. (#26)
* Mon Sep  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.1:
  * no upstream changelog
* Thu Jul 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.0:
  * no upstream changelog provided
* Mon Jun 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.6:
  * No upstream changelog provided
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.5
